/*
SQLyog Ultimate v9.50 
MySQL - 5.6.20 : Database - prosoftoktdva20
*********************************************************************
*/


/*!40101 SET NAMES utf8 */;

/*!40101 SET SQL_MODE=''*/;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
CREATE DATABASE /*!32312 IF NOT EXISTS*/`prosoftoktdva20` /*!40100 DEFAULT CHARACTER SET utf8 */;

USE `prosoftoktdva20`;

/*Table structure for table `etapa` */

DROP TABLE IF EXISTS `etapa`;

CREATE TABLE `etapa` (
  `TrkaID` int(11) NOT NULL,
  `RBEtape` int(11) NOT NULL,
  `DatumOd` date DEFAULT NULL,
  `DatumDo` date DEFAULT NULL,
  `Opis` varchar(255) DEFAULT NULL,
  `GradStartID` int(11) DEFAULT NULL,
  `GradCiljID` int(11) DEFAULT NULL,
  PRIMARY KEY (`TrkaID`,`RBEtape`),
  KEY `GradStartID` (`GradStartID`),
  KEY `GradCiljID` (`GradCiljID`),
  CONSTRAINT `etapa_ibfk_1` FOREIGN KEY (`TrkaID`) REFERENCES `trka` (`TrkaID`),
  CONSTRAINT `etapa_ibfk_2` FOREIGN KEY (`GradStartID`) REFERENCES `grad` (`GradID`),
  CONSTRAINT `etapa_ibfk_3` FOREIGN KEY (`GradCiljID`) REFERENCES `grad` (`GradID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `etapa` */

insert  into `etapa`(`TrkaID`,`RBEtape`,`DatumOd`,`DatumDo`,`Opis`,`GradStartID`,`GradCiljID`) values (1,1,'2020-11-11','2020-11-12','Etapa Nis-Zajecar',4,3),(1,2,'2020-11-13','2020-11-14','Etapa Zajecar-Beograd',3,1);

/*Table structure for table `grad` */

DROP TABLE IF EXISTS `grad`;

CREATE TABLE `grad` (
  `GradID` int(11) NOT NULL,
  `Naziv` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`GradID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `grad` */

insert  into `grad`(`GradID`,`Naziv`) values (1,'Beograd'),(2,'Sremska Mitrovica'),(3,'Zajecar'),(4,'Nis'),(5,'Smederevo'),(6,'Novi Sad'),(7,'Kragujevac'),(8,'Kosovska Mitrovica'),(9,'Sabac'),(10,'Pozarevac');

/*Table structure for table `korisnik` */

DROP TABLE IF EXISTS `korisnik`;

CREATE TABLE `korisnik` (
  `KorisnikID` int(11) NOT NULL,
  `Ime` varchar(255) DEFAULT NULL,
  `Prezime` varchar(255) DEFAULT NULL,
  `KorisnickoIme` varchar(50) DEFAULT NULL,
  `Lozinka` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`KorisnikID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `korisnik` */

insert  into `korisnik`(`KorisnikID`,`Ime`,`Prezime`,`KorisnickoIme`,`Lozinka`) values (1,'Ana','Anic','ana','ana'),(2,'Ivan','Ivic','ivan','ivan');

/*Table structure for table `trka` */

DROP TABLE IF EXISTS `trka`;

CREATE TABLE `trka` (
  `TrkaID` int(11) NOT NULL,
  `Naziv` varchar(255) DEFAULT NULL,
  `DatumOd` date DEFAULT NULL,
  `DatumDo` date DEFAULT NULL,
  `UkupnoKm` decimal(10,2) DEFAULT NULL,
  `Opis` varchar(255) DEFAULT NULL,
  `Kategorija` varchar(50) DEFAULT NULL,
  `KorisnikID` int(11) DEFAULT NULL,
  PRIMARY KEY (`TrkaID`),
  KEY `KorisnikID` (`KorisnikID`),
  CONSTRAINT `trka_ibfk_1` FOREIGN KEY (`KorisnikID`) REFERENCES `korisnik` (`KorisnikID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `trka` */

insert  into `trka`(`TrkaID`,`Naziv`,`DatumOd`,`DatumDo`,`UkupnoKm`,`Opis`,`Kategorija`,`KorisnikID`) values (1,'Putevima rimskih imperatora','2020-11-11','2020-11-15','150.00','Trka kroz gradove u kojima su rodjeni rimski imperatori','Seniori',1);

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
